Fix recursive lookup on secondary WhoIs servers
Closed, ResolvedPublic

Description

Currently parses well for some servers, but not others.

ws = "Whois Server:"
i = InStr(1, s, ws, vbTextCompare)

Looking up domain www.coffee

WhoIs Lookup performed by Karen's WhoIs
http://www.karenware.com/

% IANA WHOIS server
% for more information on IANA, visit http://www.iana.org
% This query returned 1 object

refer:        whois.nic.coffee

domain:       COFFEE

organisation: Binky Moon, LLC
address:      Donuts Inc.
address:      5808 Lake Washington Blvd NE, Suite 300
address:      Kirkland, WA 98033
address:      United States

contact:      administrative
name:         Serina Ness
organisation: Donuts Inc.
address:      Donuts Inc.
address:      5808 Lake Washington Blvd NE, Suite 300
address:      Kirkland, WA 98033
address:      United States
phone:        +1.425.283.8248
fax-no:       +1.425.671.0020
e-mail:       serina@donuts.email

contact:      technical
name:         Ben Levac
organisation: Donuts Inc.
address:      Donuts Inc.
address:      5808 Lake Washington Blvd NE, Suite 300
address:      Kirkland, WA 98033
address:      United States
phone:        +1.425.298.2200
fax-no:       +1.425.671.0020
e-mail:       ben@donuts.email

nserver:      DEMAND.ALPHA.ARIDNS.NET.AU 2001:dcd:1:0:0:0:0:7 37.209.192.7
nserver:      DEMAND.BETA.ARIDNS.NET.AU 2001:dcd:2:0:0:0:0:7 37.209.194.7
nserver:      DEMAND.DELTA.ARIDNS.NET.AU 2001:dcd:4:0:0:0:0:7 37.209.198.7
nserver:      DEMAND.GAMMA.ARIDNS.NET.AU 2001:dcd:3:0:0:0:0:7 37.209.196.7
ds-rdata:     47599 8 1 4B2861487D87D154F9BF22DB6CA87EBDEBAD2365
ds-rdata:     47599 8 2 22BB1ECAA5C751A60B15650A3470A63F3951ED22F1F453D35E15696E18E82B49

whois:        whois.nic.coffee

status:       ACTIVE
remarks:      Registration information: http://www.donuts.domains/

created:      2013-12-19
changed:      2018-03-07
source:       IANA
Joe created this task.Tue, Dec 4, 11:52 AM
Joe created this object in space S5 Public.
Joe triaged this task as High priority.
Joe created this object with visibility "Public (No Login Required)".
Joe updated the task description. (Show Details)
Joe closed this task as Resolved.Tue, Dec 4, 3:32 PM

Fixed for Domain and IP queries.

Joe moved this task from Backlog to v2.7 Released 2018-12-05 on the WhoIs board.Wed, Dec 5, 8:31 PM
Joe edited projects, added WhoIs (v2.7 Released 2018-12-05); removed WhoIs.